Bug 1618707 - reminna fails to run after latest update with error that it cannot load libssh_threads.so.4 libraries
Summary: reminna fails to run after latest update with error that it cannot load libss...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libssh
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-17 11:56 UTC by charles profitt
Modified: 2019-02-25 11:59 UTC (History)
13 users (show)

Fixed In Version: libssh-0.8.1-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-25 11:59:55 UTC
Type: Bug


Attachments (Terms of Use)

Description charles profitt 2018-08-17 11:56:55 UTC
Description of problem:
reminna does not load.

Version-Release number of selected component (if applicable):
remmina.x86_64 1.2.0-0.51.20180408.git.6b62986.fc28

How reproducible:


Steps to Reproduce:
1. click reminna or type reminna in console


Actual results:
the application fails to launch

Expected results:
application would launch

Additional info:
remmina: error while loading shared libraries: libssh_threads.so.4: cannot open shared object file: No such file or directory


locate libssh_threads.so.4
/usr/lib64/libssh_threads.so.4.5.1

Comment 1 charles profitt 2018-08-17 12:13:21 UTC
Was able to solve this by reinstalling libssh-0.8.1-3

Comment 2 Rex Dieter 2018-08-17 13:14:39 UTC
I cannot reproduce this myself, libssh_threads.so.4 exists as it should be for me with initial install of libssh-0.8.1-3

Comment 3 Paul Johnson 2018-08-17 16:17:47 UTC
I have this too. It seems to be a problem with libssh.

> $ locate libssh_threads.so.4
> /usr/lib64/libssh_threads.so.4
> /usr/lib64/libssh_threads.so.4.4.2

> $ cd /usr/lib64
> $ ls libssh*
> lrwxrwxrwx. 1 root root     16 Feb  8  2018 libssh2.so.1 -> libssh2.so.1.0.1
> -rwxr-xr-x. 1 root root 196864 Feb  8  2018 libssh2.so.1.0.1
> lrwxrwxrwx. 1 root root     15 Aug 15 08:48 libssh.so.4 -> libssh.so.4.5.1
> -rwxr-xr-x. 1 root root 524856 Aug 15 08:48 libssh.so.4.5.1
> lrwxrwxrwx. 1 root root     15 Aug 15 08:48 libssh_threads.so.4.5.1 -> > libssh.so.4.5.1

Comment 4 Paul Johnson 2018-08-17 16:24:48 UTC
I can confirm that reinstalling libssh works:

> # dnf reinstall libssh

(dnf output elided)

> $ ls -l libssh*
> lrwxrwxrwx. 1 root root     16 Feb  8  2018 libssh2.so.1 -> libssh2.so.1.0.1
> -rwxr-xr-x. 1 root root 196864 Feb  8  2018 libssh2.so.1.0.1
> lrwxrwxrwx. 1 root root     15 Aug 15 08:48 libssh.so.4 -> libssh.so.4.5.1
> -rwxr-xr-x. 1 root root 524856 Aug 15 08:48 libssh.so.4.5.1
> lrwxrwxrwx. 1 root root     11 Aug 15 08:48 libssh_threads.so.4 -> libssh.so.4
> lrwxrwxrwx. 1 root root     15 Aug 15 08:48 libssh_threads.so.4.5.1 -> libssh.so.4.5.1

Comment 5 Michael 2018-08-17 19:30:22 UTC
Can confirm here as well...

[mcc77@mcc77 ~] $ remmina
remmina: error while loading shared libraries: libssh_threads.so.4: cannot open shared object file: No such file or directory
[mcc77@mcc77 ~] $ sudo dnf reinstall libssh
[sudo] password for mcc77: 
Last metadata expiration check: 2:59:48 ago on Fri 17 Aug 2018 11:26:47 AM CDT.
Dependencies resolved.
======================================================================================================================
 Package                   Arch                      Version                         Repository                  Size
======================================================================================================================
Reinstalling:
 libssh                    x86_64                    0.8.1-3.fc28                    updates                    215 k

Transaction Summary
======================================================================================================================

Total download size: 215 k
Is this ok [y/N]: y
Downloading Packages:
libssh-0.8.1-3.fc28.x86_64.rpm                                                        338 kB/s | 215 kB     00:00    
----------------------------------------------------------------------------------------------------------------------
Total                                                                                 189 kB/s | 215 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                              1/1 
  Reinstalling     : libssh-0.8.1-3.fc28.x86_64                                                                   1/2 
  Erasing          : libssh-0.8.1-3.fc28.x86_64                                                                   2/2 
  Running scriptlet: libssh-0.8.1-3.fc28.x86_64                                                                   2/2 
  Verifying        : libssh-0.8.1-3.fc28.x86_64                                                                   1/2 
  Verifying        : libssh-0.8.1-3.fc28.x86_64                                                                   2/2 

Reinstalled:
  libssh.x86_64 0.8.1-3.fc28                                                                                          

Complete!
[mcc77@mcc77 ~] $ remmina
StatusNotifier/Appindicator support: not supported by desktop. libappindicator will try to fallback to GtkStatusIcon/xembed
Running under Gnome Shell version 3.28.3

(remmina:13206): Gtk-WARNING **: 14:26:47.691: gtk_menu_attach_to_widget(): menu already attached to GtkMenuItem

Comment 6 Madi 2018-08-18 08:02:56 UTC
Same problem after update.

I can confirm that reinstalling libssh solves issue.

Comment 7 Mirek Svoboda 2018-08-19 11:23:46 UTC
Same problem after update.

I can confirm that reinstalling libssh solves issue, in my case I have reinstalled libssh.x86_64 0.8.1-4.fc28.

Comment 8 Douglas Willis 2018-08-19 21:12:13 UTC
Doing a ldd on the remmina binary shows a missing libssh component after the update on the weekend.

libssh_threads.so.4 => not found


~]$ ldd /usr/bin/remmina
	linux-vdso.so.1 (0x00007fffac7fb000)
	libgtk-3.so.0 => /lib64/libgtk-3.so.0 (0x00007f4439fdc000)
	libgdk-3.so.0 => /lib64/libgdk-3.so.0 (0x00007f4439ce4000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f44399cc000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x00007f4439628000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f44393d6000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f44391d2000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f4438fd0000)
	libpango-1.0.so.0 => /lib64/libpango-1.0.so.0 (0x00007f4438d89000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x00007f4438a69000)
	libgdk_pixbuf-2.0.so.0 => /lib64/libgdk_pixbuf-2.0.so.0 (0x00007f4438841000)
	libatk-1.0.so.0 => /lib64/libatk-1.0.so.0 (0x00007f443861a000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f44382d9000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007f44380c7000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f4437ea8000)
	libssh.so.4 => /lib64/libssh.so.4 (0x00007f4437c2f000)
	libssh_threads.so.4 => not found
	libgcrypt.so.20 => /lib64/libgcrypt.so.20 (0x00007f4437914000)
	libavahi-common.so.3 => /lib64/libavahi-common.so.3 (0x00007f4437707000)
	libavahi-client.so.3 => /lib64/libavahi-client.so.3 (0x00007f44374f5000)
	libavahi-ui-gtk3.so.0 => /lib64/libavahi-ui-gtk3.so.0 (0x00007f44372e8000)
	libssl.so.1.1 => /lib64/libssl.so.1.1 (0x00007f443707b000)
	libcrypto.so.1.1 => /lib64/libcrypto.so.1.1 (0x00007f4436bef000)
	libvte-2.91.so.0 => /lib64/libvte-2.91.so.0 (0x00007f443698a000)
	libappindicator3.so.1 => /lib64/libappindicator3.so.1 (0x00007f443677d000)
	libjson-glib-1.0.so.0 => /lib64/libjson-glib-1.0.so.0 (0x00007f4436555000)
	libsoup-2.4.so.1 => /lib64/libsoup-2.4.so.1 (0x00007f443625c000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f4436044000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f4435c85000)
	libpangocairo-1.0.so.0 => /lib64/libpangocairo-1.0.so.0 (0x00007f4435a77000)
	libXi.so.6 => /lib64/libXi.so.6 (0x00007f4435866000)
	libXfixes.so.3 => /lib64/libXfixes.so.3 (0x00007f4435660000)
	libcairo-gobject.so.2 => /lib64/libcairo-gobject.so.2 (0x00007f4435457000)
	libatk-bridge-2.0.so.0 => /lib64/libatk-bridge-2.0.so.0 (0x00007f4435227000)
	libwayland-client.so.0 => /lib64/libwayland-client.so.0 (0x00007f4435018000)
	libepoxy.so.0 => /lib64/libepoxy.so.0 (0x00007f4434ce6000)
	libpangoft2-1.0.so.0 => /lib64/libpangoft2-1.0.so.0 (0x00007f4434ad0000)
	libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00007f443488c000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f44344f8000)
	libXinerama.so.1 => /lib64/libXinerama.so.1 (0x00007f44342f5000)
	libXrandr.so.2 => /lib64/libXrandr.so.2 (0x00007f44340ea000)
	libXcursor.so.1 => /lib64/libXcursor.so.1 (0x00007f4433edf000)
	libXcomposite.so.1 => /lib64/libXcomposite.so.1 (0x00007f4433cdc000)
	libXdamage.so.1 => /lib64/libXdamage.so.1 (0x00007f4433ad9000)
	libxkbcommon.so.0 => /lib64/libxkbcommon.so.0 (0x00007f4433899000)
	libwayland-cursor.so.0 => /lib64/libwayland-cursor.so.0 (0x00007f4433691000)
	libwayland-egl.so.1 => /lib64/libwayland-egl.so.1 (0x00007f443348f000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f4433287000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f4433016000)
	libffi.so.6 => /lib64/libffi.so.6 (0x00007f4432e0d000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f4432c09000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f44329f2000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f44327c9000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f44325b2000)
	libmount.so.1 => /lib64/libmount.so.1 (0x00007f4432358000)
	libthai.so.0 => /lib64/libthai.so.0 (0x00007f443214e000)
	libfribidi.so.0 => /lib64/libfribidi.so.0 (0x00007f4431f32000)
	libpixman-1.so.0 => /lib64/libpixman-1.so.0 (0x00007f4431c8c000)
	libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00007f44319d5000)
	libpng16.so.16 => /lib64/libpng16.so.16 (0x00007f44317a1000)
	libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00007f443159d000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f4431374000)
	libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00007f4431166000)
	libXrender.so.1 => /lib64/libXrender.so.1 (0x00007f4430f5b000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f443ab57000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f4430d0c000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f4430a1f000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f4430803000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f44305ff000)
	libgpg-error.so.0 => /lib64/libgpg-error.so.0 (0x00007f44303df000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007f443018d000)
	libavahi-glib.so.1 => /lib64/libavahi-glib.so.1 (0x00007f442ff89000)
	libgdbm.so.5 => /lib64/libgdbm.so.5 (0x00007f442fd7b000)
	libpcre2-8.so.0 => /lib64/libpcre2-8.so.0 (0x00007f442fafb000)
	libgnutls.so.30 => /lib64/libgnutls.so.30 (0x00007f442f753000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f442f3c1000)
	libindicator3.so.7 => /lib64/libindicator3.so.7 (0x00007f442f1b3000)
	libdbusmenu-gtk3.so.4 => /lib64/libdbusmenu-gtk3.so.4 (0x00007f442ef9e000)
	libdbusmenu-glib.so.4 => /lib64/libdbusmenu-glib.so.4 (0x00007f442ed81000)
	libxml2.so.2 => /lib64/libxml2.so.2 (0x00007f442ea1a000)
	libsqlite3.so.0 => /lib64/libsqlite3.so.0 (0x00007f442e718000)
	libatspi.so.0 => /lib64/libatspi.so.0 (0x00007f442e4e6000)
	libharfbuzz.so.0 => /lib64/libharfbuzz.so.0 (0x00007f442e241000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00007f442e006000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x00007f442ddff000)
	libblkid.so.1 => /lib64/libblkid.so.1 (0x00007f442dbae000)
	libdatrie.so.1 => /lib64/libdatrie.so.1 (0x00007f442d9a7000)
	libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f442d796000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f442d592000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f442d383000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f442d17f000)
	libsystemd.so.0 => /lib64/libsystemd.so.0 (0x00007f442cee2000)
	libp11-kit.so.0 => /lib64/libp11-kit.so.0 (0x00007f442cbaf000)
	libidn2.so.0 => /lib64/libidn2.so.0 (0x00007f442c992000)
	libunistring.so.2 => /lib64/libunistring.so.2 (0x00007f442c611000)
	libtasn1.so.6 => /lib64/libtasn1.so.6 (0x00007f442c3fe000)
	libnettle.so.6 => /lib64/libnettle.so.6 (0x00007f442c1c5000)
	libhogweed.so.4 => /lib64/libhogweed.so.4 (0x00007f442bf97000)
	libgmp.so.10 => /lib64/libgmp.so.10 (0x00007f442bd1b000)
	liblzma.so.5 => /lib64/liblzma.so.5 (0x00007f442baf4000)
	libgraphite2.so.3 => /lib64/libgraphite2.so.3 (0x00007f442b8c8000)
	liblz4.so.1 => /lib64/liblz4.so.1 (0x00007f442b6b1000)
	libcap.so.2 => /lib64/libcap.so.2 (0x00007f442b4ac000)

Trying to do a re-install of the libssh results in the following error:
~]$ sudo dnf reinstall libssh
Last metadata expiration check: 0:00:00 ago on Mon 20 Aug 2018 09:07:27 NZST.
Installed package libssh-0.8.1-3.fc28.x86_64 (from updates) not available.
Error: No packages marked for reinstall.

Comment 9 Douglas Willis 2018-08-19 21:17:28 UTC
Seems to be a missing symlink.
/lib64/libssh_threads.so.4 -> libssh.so.4.5.1

~]$ ls -l /lib64/libssh*
lrwxrwxrwx. 1 root root     16 Feb  8  2018 /lib64/libssh2.so.1 -> libssh2.so.1.0.1
-rwxr-xr-x. 1 root root 196864 Feb  8  2018 /lib64/libssh2.so.1.0.1
lrwxrwxrwx. 1 root root     15 Aug 15 19:48 /lib64/libssh.so.4 -> libssh.so.4.5.1
-rwxr-xr-x. 1 root root 524856 Aug 15 19:48 /lib64/libssh.so.4.5.1
lrwxrwxrwx. 1 root root     15 Aug 15 19:48 /lib64/libssh_threads.so.4.5.1 -> libssh.so.4.5.1


Recreating the missing link allowed the remmina software to load and run as normal.

Comment 10 charles profitt 2019-01-28 13:05:24 UTC
This bug was resolved.

Comment 11 Anderson Sasaki 2019-02-25 11:59:55 UTC
This bug was resolved, but left open.


Note You need to log in before you can comment on or make changes to this bug.